<md-content>
    <md-tabs md-dynamic-height="" md-border-bottom="">
        <md-tab label="Details">
            <md-toolbar class="md-hue-2">
                <div class="md-toolbar-tools">
                    <h2>
                        <span>Employee Details</span>
                    </h2>
                    <span flex=""></span>
                </div>
            </md-toolbar>
            <form name="projectForm" class="loginform">
                <md-card md-theme="{{ showDarkTheme ? 'dark-grey' : 'default' }}" md-theme-watch="">
                    <div class="clinet_logo">
                        <label class="lableclass">Avatar</label>
                        <img ng-if="EPCTL.project.avatar" ng-src="/{{EPCTL.project.avatar}}" width="200px">
                        <img ng-if="!EPCTL.project.avatar" src="default.png" width="200px">
                    </div>

                    <label class="lableclass">Change Avatar</label>
                    <input type="file" ngf-select ng-model="EPCTL.project.file" name="file" ngf-max-size="20MB">
                    <img ng-show="'{{EPCTL.project.file}}'" ng-src="/{{EPCTL.project.file}}" width="200px">

                    <md-input-container class="md-block">
                        <label class="lableclass">Name</label>
                        <input required type="text" name="name" ng-model="EPCTL.project.name" />

                    </md-input-container>

                    <md-input-container class="md-block">
                        <label class="lableclass">Address Of Employee</label>
                        <input required type="text" name="address" ng-model="EPCTL.project.address">
                    </md-input-container>

                    <md-input-container class="md-block">
                        <label class="lableclass">Email</label>
                        <input required type="text" name="email" ng-model="EPCTL.project.email">
                    </md-input-container>

                    <md-input-container class="md-block">
                        <label class="lableclass">Phone Number</label>
                        <input required type="text" name="phone_number" ng-model="EPCTL.project.phone_number">
                    </md-input-container>

                    <md-input-container class="md-block">
                        <md-button layout-align="center center" ng-click="EPCTL.saveemp(EPCTL.project)" class="md-raised md-primary">Update</md-button>
                    </md-input-container>

                </md-card>
            </form>
        </md-tab>
        <md-tab label="Add">
            <md-toolbar class="md-hue-2">
                <div class="md-toolbar-tools">
                    <h2>
                        <span>Add Test Details</span>
                    </h2>
                    <span flex=""></span>
                </div>
            </md-toolbar>
            <form name="projectForm" class="loginform">
                <md-card md-theme="{{ showDarkTheme ? 'dark-grey' : 'default' }}" md-theme-watch="">
                    <md-input-container class="md-block">
                        <label class="lableclass">Title</label>
                        <input required type="text" name="title" ng-model="EPCTL.test.title" />

                    </md-input-container>

                    <md-input-container class="md-block">
                        <label class="lableclass">Comment</label>
                        <input required type="text" name="address" ng-model="EPCTL.test.comment">
                    </md-input-container>
                    <p class="test_result">Test Result</p>
                    <md-switch class="md-primary" md-no-ink aria-label="Switch No Ink" ng-model="EPCTL.test.result">
                        <md-button ng-if="EPCTL.test.result" layout-align="center center" class="md-raised md-primary pass_bt">PASS</md-button>
                        <md-button ng-if="!EPCTL.test.result" layout-align="center center" class="md-raised md-primary fail_bt">FAIL</md-button>
                    </md-switch>

                    <md-input-container class="md-block">
                        <md-button layout-align="center center" ng-click="EPCTL.savetest(EPCTL.test)" class="md-raised md-primary">Submit</md-button>
                    </md-input-container>

                </md-card>
            </form>
        </md-tab>
        </md-tab>
        <md-tab label="Test List" ng-click="EPCTL.gettestdata()">
            <md-toolbar class="md-hue-2">
                <div class="md-toolbar-tools">
                    <h2>
                        <span>List Of Tests</span>
                    </h2>
                    <span flex=""></span>
                </div>
            </md-toolbar>
            <md-menu md-offset="0 20" class="rit_key">
                <md-button class="md-raised md-warn" ng-click="$mdOpenMenu()" aria-label="Open menu">
                    Sort By
                </md-button>
                <md-menu-content width="3">
                    <md-menu-item ng-click="EPCTL.sorttes('new')">
                        <md-button >Newest</md-button>
                    </md-menu-item>
                    <md-menu-item ng-click="EPCTL.sorttes('old')">
                        <md-button >Oldest</md-button>
                    </md-menu-item>
                </md-menu-content>
            </md-menu>
            <md-list class="listdemoListControls">
                <md-list-item ng-repeat="person in EPCTL.testdata | orderBy:'createdAt':EPCTL.date" class="noright">
                    <div class="md-button md-no-style">
                        <div class="md-list-item-inner" ng-click="EPCTL.goTotest(person, $event)">

                            <div class="test_title">{{ person.title }}</div>
                            {{ person.createdAt | date:'yyyy-MM-dd' }}
                            <!--<div class="test_title">
                                <md-button ng-if="person.result == 1" layout-align="center center" class="md-raised md-primary pass_bt">PASS</md-button>
                                <md-button ng-if="person.result == 0" layout-align="center center" class="md-raised md-primary fail_bt">FAIL</md-button>-->
                            </div>


                        </div>
                        <div class="md-secondary-container">
                            <i class="material-icons delete_but" ng-click="EPCTL.deletetest(person)">delete</i>
                        </div>
                    </div>
                </md-list-item>

            </md-list>
        </md-tab>
</md-content>